Skip to main content
POST
/
feature-flags
/
v3
/
{appId}
/
flags
/
{flagName}
/
portals
/
batch
/
upsert
Batch set account flag state
curl --request POST \
  --url 'https://api.hubapi.com/feature-flags/v3/{appId}/flags/{flagName}/portals/batch/upsert?hapikey=' \
  --header 'Content-Type: application/json' \
  --data '
{
  "portalStates": [
    {
      "flagState": "ABSENT",
      "portalId": 123
    }
  ]
}
'
{
  "portalFlagStates": [
    {
      "appId": 123,
      "flagName": "<string>",
      "flagState": "ABSENT",
      "portalId": 123
    }
  ]
}

Supported products

Authorizations

hapikey
string
query
required

Path Parameters

appId
integer<int32>
required
flagName
string
required

Body

application/json
portalStates
object[]
required

Response

successful operation

portalFlagStates
object[]
required
Last modified on March 30, 2026